Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class GroupIterator

    java.lang.Object
      org.biojava.bio.structure.GroupIterator

All Implemented Interfaces:
  Iterator<Group>

    public class GroupIterator

extends Object
implements Iterator<Group>

An iterator over all groups of a structure.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`GroupIterator(Structure struct)` Constructs a GroupIterator object.

Method Summary
`Object` | `clone()` Creates and returns a copy of this object.
`Chain` | `getCurrentChain()` Get the current Chain.
`int` | `getCurrentModel()` Get the model number of the current model.
`boolean` | `hasNext()` is there a group after the current one in the structure?
`Group` | `next()` get next Group.
`void` | `remove()` does nothing .

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupIterator

    public GroupIterator(Structure struct)

  Constructs a GroupIterator object.

  Parameters:
    `struct` - a Structure object

Method Detail

### clone

    public Object clone()

  Creates and returns a copy of this object.

  Overrides:
    `clone` in class `Object`

### hasNext

    public boolean hasNext()

  is there a group after the current one in the structure?

  Specified by:
    `hasNext` in interface `Iterator<Group>`

### getCurrentModel

    public int getCurrentModel()

  Get the model number of the current model.

  Returns:
    the number of the model

### getCurrentChain

    public Chain getCurrentChain()

  Get the current Chain. Returns null if we are at the end of the iteration.

  Returns:
    the Chain of the current position

### next

    public Group next()
               throws NoSuchElementException

  get next Group.

  Specified by:
    `next` in interface `Iterator<Group>`
  Returns:
    next Group
  Throws:
    `NoSuchElementException` - ...

### remove

    public void remove()

  does nothing .

  Specified by:
    `remove` in interface `Iterator<Group>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD